<?php
    
    use yii\db\Migration;
    
    class m161227_115146_add_columns_to_int_property_table extends Migration
    {
        public function up()
        {
            $this->addColumn('intellectual_property', 'author_role', $this->string(255));
            $this->addColumn('intellectual_property', 'percent', $this->string(255));
            $this->addColumn('intellectual_property', 'calculated', $this->string(255));
            $this->addColumn('intellectual_property', 'play_count', $this->string(255));
        }
        
        public function down()
        {
            $this->dropColumn('intellectual_property', 'play_count');
            $this->dropColumn('intellectual_property', 'calculated');
            $this->dropColumn('intellectual_property', 'percent');
            $this->dropColumn('intellectual_property', 'author_role');
        }
    }
